## ros-dashing-cloudwatch-metrics-collector 3.0.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(cloudwatch_metrics_collector)

## Compile as C++11, supported in ROS Kinetic and newer
set(CMAKE_CXX_STANDARD 14)

# Enable strict compiler flags if possible
include(CheckCXXCompilerFlag)
set(FLAGS -Wno-long-long -Wall -Wextra -Wcast-align -Wcast-qual -Wformat -Wwrite-strings)
foreach(FLAG ${FLAGS})
  check_cxx_compiler_flag(${FLAG} R${FLAG})
  if(${R${FLAG}})
    set(WARNING_CXX_FLAGS "${WARNING_CXX_FLAGS} ${FLAG}")
  endif()
endforeach()

if(NOT DEFINED CXX_DISABLE_WERROR)
  set(WARNING_CXX_FLAGS "-Werror ${WARNING_CXX_FLAGS}")
endif()
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${WARNING_CXX_FLAGS}")

## Compile as C++11, supported in ROS Kinetic and newer
add_compile_options(-std=c++14)

find_package(ament_cmake REQUIRED)
find_package(aws_common REQUIRED)
find_package(aws_ros2_common REQUIRED)
find_package(cloudwatch_metrics_common REQUIRED)
find_package(dataflow_lite REQUIRED)
find_package(file_management REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rmw_implementation REQUIRED)
find_package(ros_monitoring_msgs REQUIRED)
find_package(rosgraph_msgs REQUIRED)
find_package(std_msgs REQUIRED)
find_package(std_srvs REQUIRED)

###########
## Build ##
###########

## Specify additional locations of header files
set(cloudwatch_metrics_ros2_INCS
  include
  ${ament_cmake_INCLUDE_DIRS}
  ${aws_common_INCLUDE_DIRS}
  ${aws_ros2_common_INCLUDE_DIRS}
  ${cloudwatch_metrics_common_INCLUDE_DIRS}
  ${dataflow_lite_INCLUDE_DIRS}
  ${file_management_INCLUDE_DIRS}
  ${rclcpp_INCLUDE_DIRS}
  ${rmw_implementation_INCLUDE_DIRS}
  ${ros_monitoring_msgs_INCLUDE_DIRS}
  ${rosgraph_msgs_INCLUDE_DIRS}
  ${std_msgs_INCLUDE_DIRS}
  ${std_srvs_INCLUDE_DIRS}
)

set(cloudwatch_metrics_ros2_LIBS
  ${ament_cmake_LIBRARIES}
  ${aws_common_LIBRARIES}
  ${aws_ros2_common_LIBRARIES}
  ${cloudwatch_metrics_collector_LIBRARIES}
  ${cloudwatch_metrics_common_LIBRARIES}
  ${dataflow_lite_LIBRARIES}
  ${file_management_LIBRARIES}
  ${rclcpp_LIBRARIES}
  ${rmw_implementation_LIBRARIES}
  ${ros_monitoring_msgs_LIBRARIES}
  ${rosgraph_msgs_LIBRARIES}
  ${std_msgs_LIBRARIES}
  ${std_srvs_LIBRARIES}
)

## Declare a C++ executable
add_library(${PROJECT_NAME}_lib SHARED src/metrics_collector.cpp src/metrics_collector_parameter_helper.cpp)

target_include_directories(${PROJECT_NAME}_lib PUBLIC ${cloudwatch_metrics_ros2_INCS})
target_link_libraries(${PROJECT_NAME}_lib ${cloudwatch_metrics_ros2_LIBS})

add_executable(${PROJECT_NAME} src/main.cpp)
target_include_directories(${PROJECT_NAME} PRIVATE ${cloudwatch_metrics_ros2_INCS})
target_link_libraries(${PROJECT_NAME} ${PROJECT_NAME}_lib ${cloudwatch_metrics_ros2_LIBS})

#############
## Install ##
#############

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib/${PROJECT_NAME}
  LIBRARY DESTINATION lib/${PROJECT_NAME}
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

install(TARGETS ${PROJECT_NAME}_lib
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib
)

install(DIRECTORY
  config
  launch
  DESTINATION share/${PROJECT_NAME}
)

ament_export_dependencies(aws_common)
ament_export_dependencies(aws_ros2_common)
ament_export_dependencies(cloudwatch_metrics_common)
ament_export_dependencies(dataflow_lite)
ament_export_dependencies(file_management)
ament_export_dependencies(rclcpp)
ament_export_dependencies(rmw_implementation)
ament_export_dependencies(ros_monitoring_msgs)
ament_export_dependencies(rosgraph_msgs)
ament_export_dependencies(std_msgs)
ament_export_dependencies(std_srvs)

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME}_lib ${cloudwatch_metrics_ros2_LIBS})
ament_package()

#############
## Tests ##
#############

if(BUILD_TESTING)
  find_package(ament_cmake_gmock REQUIRED)
  
  ament_add_gmock(test_cloudwatch_metrics_collector
          test/cloudwatch_metrics_collector_test.cpp
          )
  target_include_directories(test_cloudwatch_metrics_collector PRIVATE
          ${cloudwatch_metrics_ros2_INCS}
          )
  target_link_libraries(test_cloudwatch_metrics_collector
          ${PROJECT_NAME}_lib
          )

  ament_add_gmock(test_metrics_collector
          test/metrics_collector_test.cpp
          )
  target_include_directories(test_metrics_collector PRIVATE
          ${cloudwatch_metrics_ros2_INCS}
          )
  target_link_libraries(test_metrics_collector
          ${PROJECT_NAME}_lib
          )

  ament_add_gmock(test_metrics_collector_param_helper
          test/metrics_collector_param_helper_test.cpp
          )
  target_include_directories(test_metrics_collector_param_helper PRIVATE
          ${cloudwatch_metrics_ros2_INCS}
          )
  target_link_libraries(test_metrics_collector_param_helper
          ${PROJECT_NAME}_lib
          )
endif()

=== debian/changelog ===
ros-dashing-cloudwatch-metrics-collector (3.0.1-1bionic) bionic; urgency=high

  * Bump version to 3.0.1 (#18 <https://github.com/aws-robotics/cloudwatchmetrics-ros2/issues/18>)
  * Add file management include to tests (#19 <https://github.com/aws-robotics/cloudwatchmetrics-ros2/issues/19>)
  * Fix linting issues found by clang-tidy 6.0 (#15 <https://github.com/aws-robotics/cloudwatchmetrics-ros2/issues/15>)
    * clang-tidy fixes
    * clang-tidy linting issues fixed manually
    * optimize ReadTopics()
    * add more unit tests
  * Revert "Add support for metrics_statistics_msgs (#14 <https://github.com/aws-robotics/cloudwatchmetrics-ros2/issues/14>)" (#16 <https://github.com/aws-robotics/cloudwatchmetrics-ros2/issues/16>)
    This reverts commit 097032087a027bfa4d218358f317b70453346688.
  * Add support for metrics_statistics_msgs (#14 <https://github.com/aws-robotics/cloudwatchmetrics-ros2/issues/14>)
    * add support for metrics_statistics_msgs
    * enable subscription callback
    * move to using two distinct list of topics
    * address some PR comments
    * address more PR comments
    * address feedback regarding MetricsMessage to MetricsObject mapping
    * add unit tests for MetricsCollector
    * update MetricsMessage to MetricsObject mapping
    * address comments regarding unit tests
    * updating README.md
  * Contributors: Miaofei Mei, Ryan Newell

 -- AWS RoboMaker <ros-contributions@amazon.com>  Tue, 31 Mar 2020 00:00:00 -0000

ros-dashing-cloudwatch-metrics-collector (3.0.0-1bionic) bionic; urgency=high

  * Bump version to 3.0.0 and add missing dependencies
  * Fix default metric options
    - Fix bug where default metric storage directory, file prefix etc were
    being set to the same as logs causing issues when running both
    cloudwatch logs and metrics at the same time.
  * Merge pull request #7 <https://github.com/aws-robotics/cloudwatchmetrics-ros2/issues/7> from aws-robotics/rename-launch-file
    Rename launch file from _launch.py to .launch.py
  * Rename cloudwatch_metrics_collector_launch.py to cloudwatch_metrics_collector.launch.py
  * Add Unit Tests (#6 <https://github.com/aws-robotics/cloudwatchmetrics-ros2/issues/6>)
    * add unit tests
    Signed-off-by: Miaofei <mailto:miaofei@amazon.com>
    * Enable travis tests
  * Adds launch file (#3 <https://github.com/aws-robotics/cloudwatchmetrics-ros2/issues/3>)
    * Add launch file
  * Initial source code migration (#1 <https://github.com/aws-robotics/cloudwatchmetrics-ros2/issues/1>)
    * Initial source code migration
    Signed-off-by: Ryan Newell <mailto:ryanewel@amazon.com>
    * Adds README and sample configuration
    Signed-off-by: Ryan Newell <mailto:ryanewel@amazon.com>
    * Adds .rosinstall
    * Remove dependency on parameter reader from metrics collector
    * Fix typo in README
  * Contributors: Avishay Alon, M. M, Tim Robinson, ryanewel

 -- AWS RoboMaker <ros-contributions@amazon.com>  Fri, 06 Sep 2019 00:00:00 -0000

=== debian/control ===
Source: ros-dashing-cloudwatch-metrics-collector
Section: misc
Priority: optional
Maintainer: AWS RoboMaker <ros-contributions@amazon.com>
Build-Depends: debhelper (>= 9.0.0), ros-dashing-ament-cmake, ros-dashing-ament-cmake-gmock, ros-dashing-aws-common, ros-dashing-aws-ros2-common, ros-dashing-cloudwatch-metrics-common, ros-dashing-rclcpp, ros-dashing-rmw-implementation, ros-dashing-ros-monitoring-msgs, ros-dashing-std-msgs, ros-dashing-std-srvs, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-cloudwatch-metrics-collector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-dashing-aws-common, ros-dashing-aws-ros2-common, ros-dashing-cloudwatch-metrics-common, ros-dashing-launch, ros-dashing-launch-ros, ros-dashing-rclcpp, ros-dashing-rmw-implementation, ros-dashing-ros-monitoring-msgs, ros-dashing-std-msgs, ros-dashing-std-srvs, ros-dashing-ros-workspace
Description: Subscriber node for the aws/monitoring topic to publish metrics to AWS Cloudwatch

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/dashing/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/dashing" \
		-DAMENT_PREFIX_PATH="/opt/ros/dashing"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-dashing-cloudwatch-metrics-collector//opt/ros/dashing/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/dashing/setup.sh" ]; then . "/opt/ros/dashing/setup.sh"; fi && \
	dh_auto_install
